
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSVersionStateEnum.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="WSVersionStateEnum"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="Unknown"/&gt;
 *     &lt;enumeration value="StockOnly"/&gt;
 *     &lt;enumeration value="CurrencyChange"/&gt;
 *     &lt;enumeration value="ModelNameChange"/&gt;
 *     &lt;enumeration value="Embargoed"/&gt;
 *     &lt;enumeration value="FaceLift"/&gt;
 *     &lt;enumeration value="OutGoing"/&gt;
 *     &lt;enumeration value="IncentiveChange"/&gt;
 *     &lt;enumeration value="MakeNameChange"/&gt;
 *     &lt;enumeration value="Fleet"/&gt;
 *     &lt;enumeration value="ModelYearChange"/&gt;
 *     &lt;enumeration value="NewModel"/&gt;
 *     &lt;enumeration value="OptionChange"/&gt;
 *     &lt;enumeration value="PriceChange"/&gt;
 *     &lt;enumeration value="Reintroduced"/&gt;
 *     &lt;enumeration value="SpecificationChange"/&gt;
 *     &lt;enumeration value="TaxChange"/&gt;
 *     &lt;enumeration value="NewVersion"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "WSVersionStateEnum")
@XmlEnum
public enum WSVersionStateEnum {

    @XmlEnumValue("Unknown")
    UNKNOWN("Unknown"),
    @XmlEnumValue("StockOnly")
    STOCK_ONLY("StockOnly"),
    @XmlEnumValue("CurrencyChange")
    CURRENCY_CHANGE("CurrencyChange"),
    @XmlEnumValue("ModelNameChange")
    MODEL_NAME_CHANGE("ModelNameChange"),
    @XmlEnumValue("Embargoed")
    EMBARGOED("Embargoed"),
    @XmlEnumValue("FaceLift")
    FACE_LIFT("FaceLift"),
    @XmlEnumValue("OutGoing")
    OUT_GOING("OutGoing"),
    @XmlEnumValue("IncentiveChange")
    INCENTIVE_CHANGE("IncentiveChange"),
    @XmlEnumValue("MakeNameChange")
    MAKE_NAME_CHANGE("MakeNameChange"),
    @XmlEnumValue("Fleet")
    FLEET("Fleet"),
    @XmlEnumValue("ModelYearChange")
    MODEL_YEAR_CHANGE("ModelYearChange"),
    @XmlEnumValue("NewModel")
    NEW_MODEL("NewModel"),
    @XmlEnumValue("OptionChange")
    OPTION_CHANGE("OptionChange"),
    @XmlEnumValue("PriceChange")
    PRICE_CHANGE("PriceChange"),
    @XmlEnumValue("Reintroduced")
    REINTRODUCED("Reintroduced"),
    @XmlEnumValue("SpecificationChange")
    SPECIFICATION_CHANGE("SpecificationChange"),
    @XmlEnumValue("TaxChange")
    TAX_CHANGE("TaxChange"),
    @XmlEnumValue("NewVersion")
    NEW_VERSION("NewVersion");
    private final String value;

    WSVersionStateEnum(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static WSVersionStateEnum fromValue(String v) {
        for (WSVersionStateEnum c: WSVersionStateEnum.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
